"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.maybeCopyRootLicense = maybeCopyRootLicense;
var path = _interopRequireWildcard(require("path"));
var fs = _interopRequireWildcard(require("fs-extra"));
var _globby = _interopRequireDefault(require("globby"));
var _getPrefixedLogger = _interopRequireDefault(require("../../utils/getPrefixedLogger"));
var _getModularRoot = _interopRequireDefault(require("../../utils/getModularRoot"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const licenseGlob = 'LICEN@(C|S)E*';
function maybeCopyRootLicense(target, targetOutputDirectory) {
  const logger = (0, _getPrefixedLogger.default)(target);
  const modularRoot = (0, _getModularRoot.default)();
  const matches = _globby.default.sync(path.join(targetOutputDirectory, licenseGlob), {
    cwd: modularRoot,
    onlyFiles: true
  });
  if (matches.length === 0) {
    logger.debug(`No license found in ${targetOutputDirectory}. Looking for root license.`);
    const rootLicenses = _globby.default.sync(path.join(modularRoot, licenseGlob), {
      cwd: modularRoot,
      onlyFiles: true
    });
    if (rootLicenses.length > 0) {
      rootLicenses.forEach(license => {
        const filename = path.basename(license);
        logger.log(`Copying ${filename} found in ${modularRoot}`);
        fs.copyFileSync(license, path.join(targetOutputDirectory, filename));
      });
    }
  }
}
//# sourceMappingURL=maybeCopyRootLicense.js.map