"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = createLaunchEditorMiddleware;
var _launchEditor = _interopRequireDefault(require("./launchEditor"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function createLaunchEditorMiddleware() {
  return function launchEditorMiddleware(req, res, next) {
    if (req.url.startsWith('/__open-stack-frame-in-editor') && typeof req.query.lineNumber === 'string' && typeof req.query.colNumber === 'string' && typeof req.query.fileName === 'string') {
      const lineNumber = parseInt(req.query.lineNumber, 10) || 1;
      const colNumber = parseInt(req.query.colNumber, 10) || 1;
      (0, _launchEditor.default)(req.query.fileName, lineNumber, colNumber);
      res.end();
    } else {
      next();
    }
  };
}
//# sourceMappingURL=errorOverlayMiddleware.js.map