"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _chalk = _interopRequireDefault(require("chalk"));
var logger = _interopRequireWildcard(require("../../../../utils/logger"));
var _formatError = require("../../utils/formatError");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function createPlugin(paths) {
  const plugin = {
    name: 'incremental-errors',
    setup(build) {
      build.onEnd(async result => {
        if (result.errors.length) {
          logger.log(_chalk.default.red('Failed to compile.\n'));
        } else {
          if (result.warnings.length) {
            logger.log(_chalk.default.red('Compiled with warnings.\n'));
          }
        }

        // If errors exist, only show errors.
        if (result.errors.length) {
          await Promise.all(result.errors.map(async m => {
            logger.log(await (0, _formatError.formatError)(m, paths.modularRoot));
          }));
        }
        if (result.warnings.length) {
          await Promise.all(result.warnings.map(async m => {
            logger.log(await (0, _formatError.formatError)(m, paths.modularRoot));
          }));
        }
      });
    }
  };
  return plugin;
}
var _default = createPlugin;
exports.default = _default;
//# sourceMappingURL=incrementalReporter.js.map