"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createAbsoluteSourceMapMiddleware = createAbsoluteSourceMapMiddleware;
var path = _interopRequireWildcard(require("path"));
var fs = _interopRequireWildcard(require("fs-extra"));
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
/* This middleware remedies this issue - https://github.com/evanw/esbuild/pull/1234,
   where paths in sources that are relative to outDir break react-error-overlay.
   This is to be used before static.
*/

function createAbsoluteSourceMapMiddleware(outDir) {
  return function sourceMapMiddleware(req, res) {
    const filePath = path.join(outDir, req.path);
    void fs.readJson(filePath).then(sourceMapObject => {
      // Make all paths absolute
      sourceMapObject.sources = sourceMapObject.sources.map(sourcePath => path.join(outDir, sourcePath));
      res.json(sourceMapObject);
    });
  };
}
//# sourceMappingURL=absoluteSourceMapsMiddleware.js.map