"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = createRedirectServedPathMiddleware;
var _path = _interopRequireDefault(require("path"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function createRedirectServedPathMiddleware(servedPath) {
  // remove end slash so user can land on `/test` instead of `/test/`
  servedPath = servedPath.slice(0, -1);
  return function redirectServedPathMiddleware(req, res, next) {
    if (servedPath === '' || req.url === servedPath || req.url.startsWith(servedPath)) {
      next();
    } else {
      const newPath = _path.default.join(servedPath, req.path !== '/' ? req.path : '');
      res.redirect(newPath);
    }
  };
}
//# sourceMappingURL=redirectServedPathMiddleware.js.map