"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _selectWorkspaces = require("./utils/selectWorkspaces");
var _actionPreflightCheck = _interopRequireDefault(require("./utils/actionPreflightCheck"));
var _getAllWorkspaces = require("./utils/getAllWorkspaces");
var _getModularRoot = _interopRequireDefault(require("./utils/getModularRoot"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
async function select({
  changed,
  compareBranch,
  ancestors,
  descendants,
  buildable,
  selectedPackages
}) {
  const modularRoot = (0, _getModularRoot.default)();
  const [allWorkspacePackages] = await (0, _getAllWorkspaces.getAllWorkspaces)(modularRoot);
  const targets = !selectedPackages.length && !changed ? [...allWorkspacePackages.keys()] : selectedPackages;
  const selected = buildable ? await (0, _selectWorkspaces.selectParallellyBuildableWorkspaces)({
    targets,
    changed,
    compareBranch,
    descendants,
    ancestors,
    dangerouslyIgnoreCircularDependencies: false
  }) : (await (0, _selectWorkspaces.selectWorkspaces)({
    targets,
    changed,
    compareBranch,
    descendants,
    ancestors
  })).filter(target => {
    var _allWorkspacePackages;
    return ((_allWorkspacePackages = allWorkspacePackages.get(target)) === null || _allWorkspacePackages === void 0 ? void 0 : _allWorkspacePackages.type) !== 'root';
  });
  console.log(JSON.stringify(selected, null, 2));
}
var _default = (0, _actionPreflightCheck.default)(select);
exports.default = _default;
//# sourceMappingURL=select.js.map