"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _express = _interopRequireDefault(require("express"));
var fs = _interopRequireWildcard(require("fs-extra"));
var _cors = _interopRequireDefault(require("cors"));
var _determineTargetPaths = _interopRequireDefault(require("./build-scripts/common-scripts/determineTargetPaths"));
var _actionPreflightCheck = _interopRequireDefault(require("./utils/actionPreflightCheck"));
var _getLocation = _interopRequireDefault(require("./utils/getLocation"));
var logger = _interopRequireWildcard(require("./utils/logger"));
var _packageTypes = require("./utils/packageTypes");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
async function serve(target, port = 3000) {
  const targetPath = await (0, _getLocation.default)(target);
  if ((0, _packageTypes.isModularType)(targetPath, 'app') || (0, _packageTypes.isModularType)(targetPath, 'esm-view')) {
    const paths = (0, _determineTargetPaths.default)(target, targetPath);
    if (fs.existsSync(paths.appBuild)) {
      const app = (0, _express.default)();
      app.use((0, _cors.default)());
      app.use(_express.default.static(paths.appBuild));
      app.listen(port, () => {
        logger.log(`Serving ${target} on ${port}`);
      });
    } else {
      throw new Error(`${target} has not been built. Run modular build ${target} before serving assets.`);
    }
  } else {
    throw new Error(`Modular can only serve an app or an esm-view.`);
  }
}
var _default = (0, _actionPreflightCheck.default)(serve);
exports.default = _default;
//# sourceMappingURL=serve.js.map