"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var logger = _interopRequireWildcard(require("./logger"));
var _getModularRoot = _interopRequireDefault(require("./getModularRoot"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
function actionPreflightCheck(fn) {
  const wrappedFn = async (...args) => {
    // Bail out if there is no modular root
    (0, _getModularRoot.default)();
    if (process.env.SKIP_PREFLIGHT_CHECK !== 'true') {
      const {
        check
      } = await Promise.resolve().then(() => _interopRequireWildcard(require('../check')));
      await check({
        fix: false
      });
    } else {
      logger.warn('Preflight check is skipped. Modular repository may be invalid.');
    }

    // eslint-disable-next-line @typescript-eslint/no-unsafe-argument
    return fn(...args);
  };
  return wrappedFn;
}
var _default = actionPreflightCheck;
exports.default = _default;
//# sourceMappingURL=actionPreflightCheck.js.map