"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = checkRequiredFiles;
var path = _interopRequireWildcard(require("path"));
var fs = _interopRequireWildcard(require("fs-extra"));
var _chalk = _interopRequireDefault(require("chalk"));
var logger = _interopRequireWildcard(require("./logger"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
async function checkRequiredFiles(files) {
  let currentFilePath = files[0];
  try {
    for (const filePath of files) {
      currentFilePath = filePath;
      await fs.access(filePath, fs.constants.F_OK);
    }
  } catch (err) {
    const dirName = path.dirname(currentFilePath);
    const fileName = path.basename(currentFilePath);
    logger.log(_chalk.default.red('Could not find a required file.'));
    logger.log(_chalk.default.red('  Name: ') + _chalk.default.cyan(fileName));
    logger.log(_chalk.default.red('  Searched in: ') + _chalk.default.cyan(dirName));
    throw new Error(`Could not find ${fileName}`);
  }
}
//# sourceMappingURL=checkRequiredFiles.js.map