"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
exports.getRelativeWorkspaceLocation = getRelativeWorkspaceLocation;
var _getWorkspaceInfo = _interopRequireDefault(require("./getWorkspaceInfo"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
async function getRelativeWorkspaceLocation(name) {
  const workspaceInfo = await (0, _getWorkspaceInfo.default)();
  const workspace = workspaceInfo[name];
  if (workspace) {
    return workspace.location;
  } else {
    const available = Object.keys(workspaceInfo);
    throw new Error(`Could not find ${name} in current workspace. Available packages are \n\t${available.join('\n\t')}`);
  }
}
var _default = getRelativeWorkspaceLocation;
exports.default = _default;
//# sourceMappingURL=getRelativeLocation.js.map