"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.isReactNewApi = isReactNewApi;
var _semver = _interopRequireDefault(require("semver"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function isReactNewApi(manifest) {
  // React >= 18 needs a different way of instantiating rendering. Find out if the project needs it.
  const reactVersion = manifest === null || manifest === void 0 ? void 0 : manifest['react'];
  return Boolean(reactVersion && _semver.default.gte(reactVersion, '18.0.0'));
}
//# sourceMappingURL=isReactNewApi.js.map