"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = memoize;
/* eslint-disable @typescript-eslint/no-explicit-any */

function memoize(f) {
  const memory = new Map();
  const g = (...args) => {
    if (!memory.has(args.join())) {
      memory.set(args.join(), f(...args));
    }
    return memory.get(args.join());
  };
  return g;
}
//# sourceMappingURL=memoize.js.map