"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.resolveAsBin = resolveAsBin;
var path = _interopRequireWildcard(require("path"));
var fs = _interopRequireWildcard(require("fs-extra"));
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
async function getBin(packageDir) {
  const packageJson = await fs.readJson(path.join(packageDir, 'package.json'));
  if (!packageJson.bin) {
    throw Error(`No bins found.`);
  } else {
    if (typeof packageJson.bin === 'string') {
      return packageJson.bin;
    } else {
      const bins = Object.values(packageJson.bin);
      return bins[0];
    }
  }
}
async function resolveAsBin(packageName) {
  const packageDir = path.dirname(require.resolve(`${packageName}/package.json`));
  const bin = await getBin(packageDir);
  return path.join(packageDir, bin);
}
//# sourceMappingURL=resolveAsBin.js.map